<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** ブロックに枠線を付ける *****/
/* 20200831 admin_enqueue_scriptをエディター以外へ限定したため */
/* wp-edit-blocksでエディターへ反映させるよう変更 */
function haup_block_outline(){
$custom_css_pre = hau_sanitize_css("
.block-editor-block-list__layout .wp-block,
.wp-block.wp-block-post-title.editor-post-title
{
border: 1px solid #f5f5f5;
line-height: 1.7;
}
");

//タブを除去
$custom_css_deltab = preg_replace('/\t+/', '', $custom_css_pre);
//改行を除去
$custom_css = str_replace(PHP_EOL, '', $custom_css_deltab);
//インラインでCSS出力
	wp_add_inline_style( 'wp-edit-blocks', $custom_css );

}
add_action('init','haup_block_outline');